title: Button
label: Button
status: live
context:
  component-type: element
variants:
  - name: default
    hidden: true
  - name: Primary
    context:
      text: Primary button
      theme: primary
  - name: Secondary
    context:
      text: Secondary button
      theme: secondary
  - name: tertiary
    context:
      text: Tertiary button
      theme: tertiary
  - name: small
    context:
      text: Small button
      theme: primary
      size: sm
  - name: link
    context:
      text: a link variant
      button_href: "JavaScript:Void(0);"
      theme: link
